# @(#) $Id: getconf.sh,v 5.11 2013/02/09 10:24:35 ralph Exp $
# ---------------------------------------------------------------------------
#  13.07.2010, 16:28  Ralph Roth, http://rose.rult.at

for i in $(grep '^# RALPH#' $0|cut -f3 -d"#" )
do
     RES="**ERROR**"
     RES=$(getconf -v XBS5_ILP32_OFF32 $i 2> /dev/null)
     printf "%28s [%s]\n" $i $RES
done 

exit 0

# getconf values according to the man page
# ---------------------------------------------------------------------------
# RALPH#_BC_BASE_MAX
# RALPH#_POSIX_ARG_MAX
# RALPH#_POSIX_CHOWN_RESTRICTED
# RALPH#_POSIX_JOB_CONTROL
# RALPH#_POSIX_LINK_MAX
# RALPH#_POSIX_MAX_CANON
# RALPH#_POSIX_MAX_INPUT
# RALPH#_POSIX_NAME_MAX
# RALPH#_POSIX_NGROUPS_MAX
# RALPH#_POSIX_NO_TRUNC
# RALPH#_POSIX_OPEN_MAX
# RALPH#_POSIX_PATH_MAX
# RALPH#_POSIX_PIPE_BUF
# RALPH#_POSIX_SAVED_IDS
# RALPH#_POSIX_SSIZE_MAX
# RALPH#_POSIX_STREAM_MAX
# RALPH#_POSIX_TZNAME_MAX
# RALPH#_POSIX_VDISABLE
# RALPH#_POSIX_VERSION
# RALPH#ARG_MAX
# RALPH#BC_DIM_MAX
# RALPH#BC_STRING_MAX
# RALPH#BS_SCALE_MAX
# RALPH#CHAR_BIT
# RALPH#CHAR_MAX
# RALPH#CHAR_MIN
# RALPH#CHARCLASS_NAME_MAX
# RALPH#CHILD_MAX
# RALPH#CLK_TCK
# RALPH#COLL_WEIGHTS_MAX
# RALPH#CPU_CHIP_TYPE
# RALPH#CS_MACHINE_IDENT
# RALPH#CS_MACHINE_SERIAL
# RALPH#CS_PARTITION_IDENT
# RALPH#CS_PATH
# RALPH#EXPR_NEST_MAX
# RALPH#EXTENDED_LOGIN_NAME
# RALPH#HW_32_64_CAPABLE
# RALPH#HW_CPU_SUPP_BITS
# RALPH#INT_MAX
# RALPH#INT_MIN
# RALPH#IPMI_INTERFACE
# RALPH#KERNEL_BITS
# RALPH#LINE_MAX
# RALPH#LINK_MAX
# RALPH#LONG_BIT
# RALPH#LONG_MAX
# RALPH#LONG_MIN
# RALPH#MACHINE_IDENT
# RALPH#MACHINE_MODEL
# RALPH#MACHINE_SERIAL
# RALPH#MAX_CANON
# RALPH#MAX_INPUT
# RALPH#MB_LEN_MAX
# RALPH#NAME_MAX
# RALPH#NGROUPS_MAX
# RALPH#NL_ARGMAX
# RALPH#NL_LANGMAX
# RALPH#NL_MSGMAX
# RALPH#NL_NMAX
# RALPH#NL_SETMAX
# RALPH#NL_TEXTMAX
# RALPH#NZERO
# RALPH#OPEN_MAX
# RALPH#PARTITION_IDENT
# RALPH#PATH
# RALPH#PATH_MAX
# RALPH#PIPE_BUF
# RALPH#POSIX_ARG_MAX
# RALPH#POSIX_CHILD_MAX
# RALPH#POSIX_CHILD_MAX
# RALPH#POSIX_CHOWN_RESTRICTED
# RALPH#POSIX_JOB_CONTROL
# RALPH#POSIX_LINK_MAX
# RALPH#POSIX_MAX_CANON
# RALPH#POSIX_MAX_INPUT
# RALPH#POSIX_NAME_MAX
# RALPH#POSIX_NGROUPS_MA
# RALPH#POSIX_NO_TRUNC
# RALPH#POSIX_OPEN_MAX
# RALPH#POSIX_PATH_MAX
# RALPH#POSIX_PIPE_BUF
# RALPH#POSIX_SAVED_IDS
# RALPH#POSIX_SSIZE_MAX
# RALPH#POSIX_STREAM_MAX
# RALPH#POSIX_TZNAME_MAX
# RALPH#POSIX_VDISABLE
# RALPH#POSIX_VERSION
# RALPH#POSIX2_BC_BASE_MAX
# RALPH#POSIX2_BC_DIM_MAX
# RALPH#POSIX2_BC_SCALE_MAX
# RALPH#POSIX2_BC_STRING_MAX
# RALPH#POSIX2_C_BIND
# RALPH#POSIX2_C_DEV
# RALPH#POSIX2_C_VERSION
# RALPH#POSIX2_CHAR_TERM
# RALPH#POSIX2_COLL_WEIGHTS_MAX
# RALPH#POSIX2_EXPR_NEST_MAX
# RALPH#POSIX2_FORT_DEV
# RALPH#POSIX2_FORT_RUN
# RALPH#POSIX2_LINE_MAX
# RALPH#POSIX2_LOCALEDEF
# RALPH#POSIX2_RE_DUP_MAX
# RALPH#POSIX2_SW_DE
# RALPH#POSIX2_UPE
# RALPH#POSIX2_VERSION
# RALPH#PSET_SUPPORT
# RALPH#RE_DUP_MAX
# RALPH#SC_PASS_MAX
# RALPH#SC_XOPEN_VERSION
# RALPH#SCHAR_MAX
# RALPH#SCHAR_MIN
# RALPH#SHRT_MAX
# RALPH#SHRT_MIN
# RALPH#SSIZE_MAX
# RALPH#STREAM_MAX
# RALPH#TMP_MAX
# RALPH#TZNAME_MAX
# RALPH#UCHAR_MAX
# RALPH#UINT_MAX
# RALPH#ULONG_MAX
# RALPH#USHRT_MAX
# RALPH#WORD_BIT
# RALPH#XBS5_ILP32_OFF32_CFLAGS
# RALPH#XBS5_ILP32_OFF32_LDFLAGS
# RALPH#XBS5_ILP32_OFF32_LIBS
# RALPH#XBS5_ILP32_OFF32_LINTFLAGS
# RALPH#XBS5_ILP32_OFFBIG_CFLAGS
# RALPH#XBS5_ILP32_OFFBIG_LDFLAGS
# RALPH#XBS5_ILP32_OFFBIG_LIBS
# RALPH#XBS5_ILP32_OFFBIG_LINTFLAGS
# RALPH#XBS5_LP64_OFF64_CFLAGS
# RALPH#XBS5_LP64_OFF64_LDFLAGS
# RALPH#XBS5_LP64_OFF64_LIBS
# RALPH#XBS5_LP64_OFF64_LINTFLAGS
# RALPH#XOPEN_VERSION
# RALPH#XOPEN_XCU_VERSION
# RALPH#XOPEN_XPG2
# RALPH#XOPEN_XPG3
# RALPH#XOPEN_XPG4
